"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_naviHelper = require("../../../common/libraries/naviHelper.js");
const BILL_outstanding_fee_add_model = require("./model.js");
const common_libraries_apiLoading = require("../../../common/libraries/apiLoading.js");
const gen_Apis = require("../../../gen/Apis.js");
require("../../../common/libraries/day.js");
require("../../../common/libraries/request.js");
require("../../../common/store/useWeAppAuthStore.js");
require("../../../common/store/useWatermarkStore.js");
require("../../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_up_icon2 = common_vendor.resolveComponent("up-icon");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_up_icon2 + _easycom_uni_icons2 + _easycom_hs_footer2)();
}
const _easycom_up_icon = () => "../../../node-modules/uview-plus/components/u-icon/u-icon.js";
const _easycom_uni_icons = () => "../../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_footer = () => "../../../components/hs-footer/hs-footer.js";
if (!Math) {
  (MyCollectionMethods + _easycom_up_icon + _easycom_uni_icons + MyCollectionResult + _easycom_hs_footer)();
}
const MyCollectionMethods = () => "../components/CollectionMethods.js";
const MyCollectionResult = () => "../components/CollectionResult.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const onShowToast = (label) => {
      common_vendor.index.showToast({
        title: label || "",
        icon: "none"
      });
      return;
    };
    const handleChange = (e) => {
      var _a;
      BILL_outstanding_fee_add_model.useModel.formData.value.notified_time = (_a = e == null ? void 0 : e.detail) == null ? void 0 : _a.value;
      console.log(e);
    };
    const handleSubmit = () => {
      let data = BILL_outstanding_fee_add_model.useModel.formData.value;
      if (!(data == null ? void 0 : data.channel)) {
        return onShowToast("请选择催缴方式！");
      }
      if (!(data == null ? void 0 : data.notified_time)) {
        return onShowToast("请选择催缴时间！");
      }
      if (!(data == null ? void 0 : data.collection_result)) {
        return onShowToast("请选择催缴结果！");
      }
      common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.Collection.HouseCollectionRecords.Store, BILL_outstanding_fee_add_model.useModel.formData.value).then((res) => {
        common_libraries_naviHelper.showToastBack("提交成功", 1, true);
      });
      console.log(data);
    };
    common_vendor.onLoad((e) => {
      BILL_outstanding_fee_add_model.useModel.formData.value = { total_unpaid_amount: e == null ? void 0 : e.amount, asset_houses_id: e == null ? void 0 : e.id };
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(($event) => common_vendor.unref(BILL_outstanding_fee_add_model.useModel).formData.value.channel = $event),
        b: common_vendor.p({
          valueModel: common_vendor.unref(BILL_outstanding_fee_add_model.useModel).formData.value.channel
        }),
        c: common_vendor.p({
          name: "calendar",
          color: "#C4C4C4",
          size: "26"
        }),
        d: common_vendor.unref(BILL_outstanding_fee_add_model.useModel).formData.value.notified_time
      }, common_vendor.unref(BILL_outstanding_fee_add_model.useModel).formData.value.notified_time ? {
        e: common_vendor.t(common_vendor.unref(BILL_outstanding_fee_add_model.useModel).formData.value.notified_time || "请选择通知时间")
      } : {}, {
        f: common_vendor.p({
          type: "right",
          size: "15",
          color: "#333"
        }),
        g: common_vendor.o(handleChange),
        h: common_vendor.o(($event) => common_vendor.unref(BILL_outstanding_fee_add_model.useModel).formData.value.collection_result = $event),
        i: common_vendor.p({
          valueModel: common_vendor.unref(BILL_outstanding_fee_add_model.useModel).formData.value.collection_result
        }),
        j: common_vendor.unref(BILL_outstanding_fee_add_model.useModel).formData.value.collection_content,
        k: common_vendor.o(($event) => common_vendor.unref(BILL_outstanding_fee_add_model.useModel).formData.value.collection_content = $event.detail.value),
        l: common_vendor.o(handleSubmit),
        m: common_vendor.p({
          btnParimaryName: "提交"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/outstanding_fee/add/index.vue"]]);
wx.createPage(MiniProgramPage);
